Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362455 - deployments shown as '(unsigned)' in output of 'atomic host status' after upgrading
Summary: deployments shown as '(unsigned)' in output of 'atomic host status' after upg...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rpm-ostree-client
Version: 7.4
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Colin Walters
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 08:50 UTC by Alex Jia
Modified: 2016-09-14 14:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-14 14:07:14 UTC


Attachments (Terms of Use)

Description Alex Jia 2016-08-02 08:50:12 UTC
Description of problem:
We have a patch for hiding GPGSignature if 'gpg-verify=false' in remote config,
for now, if users just simply show host status, everything is okay, but 'GPGSignature: (unsigned)' is display again after upgrading atomic host.

Version-Release number of selected component (if applicable):

[cloud-user@atomic-00 ~]$ sudo atomic host status
State: idle
Deployments:
● rhel-atomic-host:rhel-atomic-host/7/x86_64/standard
       Version: 7.2.6 (2016-07-29 19:54:25)
        Commit: b672bf8a457cb28e003dee20c53749636ef5fce3e4743afe4aaad269d3aaa62a
        OSName: rhel-atomic-host


[cloud-user@atomic-00 ~]$ rpm -q rpm-ostree-client ostree atomic docker docker-latest
rpm-ostree-client-2016.5-1.atomic.el7.x86_64
ostree-2016.7-2.atomic.el7.x86_64
atomic-1.10.5-7.el7.x86_64
docker-1.10.3-46.el7.10.x86_64
docker-latest-1.10.3-46.el7.10.x86_64


How reproducible:
always

Steps to Reproduce:
1. atomic host status
2. registry to RHN or RHN stage
3. grep gpg-verify /etc/ostree/remotes.d/redhat.conf
4. repeat step 1 
5. atomic host upgrade
6. repeat step 1

Actual results:

[cloud-user@atomic-00 ~]$ sudo atomic host status
State: idle
Deployments:
● rhel-atomic-host:rhel-atomic-host/7/x86_64/standard
       Version: 7.2.6 (2016-07-29 19:54:25)
        Commit: b672bf8a457cb28e003dee20c53749636ef5fce3e4743afe4aaad269d3aaa62a
        OSName: rhel-atomic-host

[cloud-user@atomic-00 ~]$ grep gpg-verify /etc/ostree/remotes.d/redhat.conf
grep: /etc/ostree/remotes.d/redhat.conf: No such file or directory

[cloud-user@atomic-00 ~]$ sudo subscription-manager register --auto-attach --force --serverurl=XX.XX.XX.XX:443/subscription --baseurl=XX.XX.XX.XX  --username=XXXX --password=XXXX
Registering to: XX.XX.XX.XX:443/subscription
The system has been registered with ID: 104b1dab-833c-4a07-8b6b-98eb3385cebe 

Installed Product Current Status:
Product Name: Red Hat Enterprise Linux Atomic Host
Status:       Subscribed

Product Name: Red Hat Enterprise Linux Server
Status:       Subscribed

[cloud-user@atomic-00 ~]$ grep gpg-verify /etc/ostree/remotes.d/redhat.conf
gpg-verify = false

[cloud-user@atomic-00 ~]$ sudo atomic host status
State: idle
Deployments:
● rhel-atomic-host:rhel-atomic-host/7/x86_64/standard
       Version: 7.2.6 (2016-07-29 19:54:25)
        Commit: b672bf8a457cb28e003dee20c53749636ef5fce3e4743afe4aaad269d3aaa62a
        OSName: rhel-atomic-host

[cloud-user@atomic-00 ~]$ sudo atomic host upgrade
Updating from: rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard

1 metadata, 0 content objects fetched; 837 B transferred in 6 seconds                                                                                                                                              
No upgrade available.

[cloud-user@atomic-00 ~]$ sudo atomic host status
State: idle
Deployments:
● rhel-atomic-host:rhel-atomic-host/7/x86_64/standard
       Version: 7.2.6 (2016-07-29 19:54:25)
        Commit: b672bf8a457cb28e003dee20c53749636ef5fce3e4743afe4aaad269d3aaa62a
        OSName: rhel-atomic-host
  GPGSignature: (unsigned)


[cloud-user@atomic-00 ~]$ sudo rpm-ostree status
State: idle
Deployments:
● rhel-atomic-host:rhel-atomic-host/7/x86_64/standard
       Version: 7.2.6 (2016-07-29 19:54:25)
        Commit: b672bf8a457cb28e003dee20c53749636ef5fce3e4743afe4aaad269d3aaa62a
        OSName: rhel-atomic-host
  GPGSignature: (unsigned)

[cloud-user@atomic-00 ~]$ sudo ostree show b672bf8a457cb28e003dee20c53749636ef5fce3e4743afe4aaad269d3aaa62a
commit b672bf8a457cb28e003dee20c53749636ef5fce3e4743afe4aaad269d3aaa62a
Date:  2016-07-29 19:54:25 +0000
Version: 7.2.6
(no subject)

Found 1 signature:

  Signature made Fri 29 Jul 2016 07:54:50 PM UTC using RSA key ID 199E2F91FD431D51
  Good signature from "Red Hat, Inc. <security@redhat.com>"


Expected results:
Hiding GPGSignature if 'gpg-verify=false' in remote config, or enable 'gpg-verify=true' in remote config.

Additional info:

rpm-ostree patch:
https://github.com/cgwalters/rpm-ostree/commit/5407eed41415d0712834e7bfa964491aaa38c7eb

It seems we need extra patch to fix it on atomic or rpm-ostree.

Comment 2 Micah Abbott 2016-08-02 14:41:36 UTC
If you restart the 'rpm-ostreed.service' after the upgrade, the 'GPGSignature' field is hidden again.


-bash-4.2# atomic host status
State: idle
Deployments:
● rhel-atomic-host:rhel-atomic-host/7/x86_64/standard
       Version: 7.2.6 (2016-07-29 19:54:25)
        Commit: b672bf8a457cb28e003dee20c53749636ef5fce3e4743afe4aaad269d3aaa62a
        OSName: rhel-atomic-host
-bash-4.2# atomic host upgrade
Updating from: rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
1 metadata, 0 content objects fetched; 837 B transferred in 1 seconds
No upgrade available.
-bash-4.2# atomic host status
State: idle
Deployments:
● rhel-atomic-host:rhel-atomic-host/7/x86_64/standard
       Version: 7.2.6 (2016-07-29 19:54:25)
        Commit: b672bf8a457cb28e003dee20c53749636ef5fce3e4743afe4aaad269d3aaa62a
        OSName: rhel-atomic-host
  GPGSignature: (unsigned)
-bash-4.2# systemctl restart rpm-ostreed.service 
-bash-4.2# atomic host status
State: idle
Deployments:
● rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
       Version: 7.2.6 (2016-07-29 19:54:25)
        Commit: b672bf8a457cb28e003dee20c53749636ef5fce3e4743afe4aaad269d3aaa62a
        OSName: rhel-atomic-host

Comment 3 Micah Abbott 2016-08-02 15:02:26 UTC
Interestingly, if I try to reproduce this on a system that was originally upgraded from 7.2.5, it does not reproduce:


-bash-4.2# atomic host status
State: idle
Deployments:
● rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
       Version: 7.2.6 (2016-07-29 19:54:25)
        Commit: b672bf8a457cb28e003dee20c53749636ef5fce3e4743afe4aaad269d3aaa62a
        OSName: rhel-atomic-host

  rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
       Version: 7.2.5 (2016-06-18 15:21:12)
        Commit: 9bfe1fb65094d43e420490196de0e9aea26b3923f1c18ead557460b83356f058
        OSName: rhel-atomic-host
-bash-4.2# atomic host upgrade
Updating from: rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
1 metadata, 0 content objects fetched; 837 B transferred in 2 seconds
No upgrade available.
-bash-4.2# atomic host status
State: idle
Deployments:
● rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
       Version: 7.2.6 (2016-07-29 19:54:25)
        Commit: b672bf8a457cb28e003dee20c53749636ef5fce3e4743afe4aaad269d3aaa62a
        OSName: rhel-atomic-host

  rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
       Version: 7.2.5 (2016-06-18 15:21:12)
        Commit: 9bfe1fb65094d43e420490196de0e9aea26b3923f1c18ead557460b83356f058
        OSName: rhel-atomic-host

Comment 4 Alex Jia 2016-08-02 15:36:13 UTC
(In reply to Micah Abbott from comment #2)
> If you restart the 'rpm-ostreed.service' after the upgrade, the
> 'GPGSignature' field is hidden again.


Yes, it should be similar question you mentioned in https://github.com/projectatomic/rpm-ostree/issues/401

Comment 5 Colin Walters 2016-09-14 14:07:14 UTC
Should be fixed now.


Note You need to log in before you can comment on or make changes to this bug.